@import url('https://fonts.googleapis.com/css2?family=Fredoka+One&family=Poppins:wght@300&display=swap');

body {  
    font-family: 'Poppins', sans-serif;
    background-color: #005555;
}

#seleccionar-mascota {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.titulo {
    color: white;
    font-size: 32px;
    font-family: 'Fredoka One', cursive;

}

.subtitulo {
    color: white;
    font-size: 20px;
}

.tarjetas, .tarjetas-ataques {
    display: grid;
    justify-items: center; 
    column-gap: 10px;
    row-gap: 10px;

}    

.tarjeta-de-mokepon {
    width: 180px;
    height: 85px;
    background: #069A8E;
    padding: 13px;
    box-sizing: border-box;
    border-radius: 20px;
    color: white;
    display: flex
}

.tarjeta-de-mokepon img {
    width: 80px;
    cursor: pointer
}

#boton-mascota {
    width: 180px;
    height: 40px;
    border-radius: 20px;
    background: transparent;
    border: 2px solid white;
    color: white;
    font-family: 'Poppins', sans-serif;
    margin-top: 30px;
    cursor: pointer;
}

input {
   display: none;

}

input:checked + label {
    background-color: #F7FF93;
    color:black
}

#seleccionar-ataque {
    flex-direction: column;
    align-items: center;
}

.boton-de-ataque {
    background-color: #069A8E;
    padding: 10px;
    box-sizing: border-box;
    border-radius: 20px;
    border-color: transparent;
    width: 80px;
    color: white;
    font-family: 'Poppins', sans-serif;
}

#mensajes {
    width: 230px;
    height: 70px;
    background: #eeeeee;
    color: black;
    padding: 20px;
    margin-top: 20px;
    border-radius: 20px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

#boton-reiniciar {
    border: none;
    color: #005555;
    font-family: 'Poppins', sans-serif;
    cursor: pointer;
}

.ataques {
    display: grid;
    grid-template-columns: 100px 100px;
    color: white;
}

#vidas-jugador, #vidas-enemigo {
    font-size: 32px;
    margin-bottom: 0;
}

.ataques-jugador, .ataques-enemigo {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#ver-mapa {
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#ver-mapa button {
        width: 80px;
        height: 40px;
        border-radius: 20px;
        background: transparent;
        border: 2px solid white;
        color: white;
        font-family: 'Poppins', sans-serif;
        margin: 10px 0;
        cursor: pointer;
}

@media (max-width: 560px) {
    .tarjetas, .tarjetas-ataques {
        flex-direction: column;
    }
}

@media (max-width: 300px) {
    #ver-mapa div {
        display: flex;
        align-items: center;
        flex-direction: column;
    }
    }